# 6.2. xtp_parallel

## 6.2.1. help

### 6.2.1.1. NAME

xtp_parallel - Part of the VOTCA package

### 6.2.1.2. SYNOPSIS

xtp_parallel [OPTIONS]

xtp_parallel [–help]

### 6.2.1.3. DESCRIPTION

Runs job-based heavy-duty calculators

### 6.2.1.4. OPTIONS

    Allowed options:

      -h [ --help ]                    display this help and exit
      --verbose                        be loud and noisy
      --verbose1                       be very loud and noisy
      -v [ --verbose2 ]                be extremly loud and noisy
      -o [ --options ] arg             Calculator user options.
      -t [ --nthreads ] arg (=1)       number of threads to create
      -e [ --execute ] arg           Name of Calculator to run
      -l [ --list ]                  Lists all available Calculators
      -d [ --description ] arg       Short description of a Calculators
      -c [ --cmdoptions ] arg        Modify options via command line by e.g. '-c
                                     xmltag.subtag=value'. Use whitespace to
                                     separate multiple options
      -p [ --printoptions ] arg      Prints xml options of a Calculator
      -f [ --file ] arg                hdf5 state file, *.hdf5
      -i [ --first-frame ] arg (=0)    start from this frame
      -n [ --nframes ] arg (=1)        number of frames to process
      -s [ --save ] arg (=1)           whether or not to save changes to state file
      -x [ --ompthreads ] arg (=1)     number of openmp threads to create in each
                                     thread
      -r [ --restart ] arg             restart pattern: 'host(pc1:234)
                                     stat(FAILED)'
      -q [ --cache ] arg (=8)          assigns jobs in blocks of this size
      -j [ --jobs ] arg (=run)         task(s) to perform: write, run, read
      -m [ --maxjobs ] arg (=-1)       maximum number of jobs to process (-1 = inf)

- 6.2.1.4.1. eqm
- 6.2.1.4.2. iexcitoncl
- 6.2.1.4.3. iqm
- 6.2.1.4.4. qmmm